
pari = 0
dispari = 0
somma = 0

maxN = None
minN = None
lval = None

while True:
    ri = input("Inserisci un numero: ")

    if ri == "":
        break

    i = int(ri)

    if maxN is None or maxN < i:
        maxN = i

    if minN is None or minN > i:
        minN = i

    if i % 2 == 0:
        pari += 1
    else:
        dispari += 1

    somma += i
    print("Somma parziale: ", somma)

    if lval == i:
        print("Duplicato: ", lval)
    else:
        lval = i

print("Valore minimo:",  minN)
print("Valore massimo:", maxN)
